Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/CollectionMonitorWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/CollectionMonitorWidget.java	(nonexistent)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/CollectionMonitorWidget.java	(revision 51030)
@@ -0,0 +1,140 @@
+package eu.dnetlib.repo.manager.client.monitor;
+
+import com.google.gwt.core.client.GWT;
+import com.google.gwt.dom.client.Document;
+import com.google.gwt.user.client.Window;
+import com.google.gwt.user.client.rpc.AsyncCallback;
+import com.google.gwt.user.client.ui.FlowPanel;
+import com.google.gwt.user.client.ui.HTML;
+import eu.dnetlib.domain.data.Repository;
+import eu.dnetlib.gwt.client.help.HelpService;
+import eu.dnetlib.gwt.client.help.HelpServiceAsync;
+import eu.dnetlib.repo.manager.client.AbstractRepositoryManagerWidget;
+import eu.dnetlib.repo.manager.client.HelpCallback;
+import eu.dnetlib.repo.manager.client.RepositoryManagerWidget;
+import eu.dnetlib.repo.manager.client.services.RepositoryService;
+import eu.dnetlib.repo.manager.client.services.RepositoryServiceAsync;
+import eu.dnetlib.repo.manager.shared.Aggregations;
+import org.gwtbootstrap3.client.ui.Alert;
+import org.gwtbootstrap3.client.ui.constants.AlertType;
+
+/**
+ * Created by stefania on 1/16/18.
+ */
+public class CollectionMonitorWidget extends AbstractRepositoryManagerWidget implements RepositoryManagerWidget {
+
+    private String parentToken = "";
+    private String restToken = "";
+
+    private Alert errorAlert = new Alert();
+
+    private HTML title = new HTML();
+    private FlowPanel monitorContent = new FlowPanel();
+
+    private static HelpServiceAsync helpService = GWT.create(HelpService.class);
+    private RepositoryServiceAsync repositoryService = GWT.create(RepositoryService.class);
+
+    public CollectionMonitorWidget() {
+
+        super();
+
+        title.addStyleName("uk-margin-medium-bottom");
+        contentPanel.add(title);
+
+        errorAlert.setType(AlertType.DANGER);
+        errorAlert.setDismissable(false);
+        errorAlert.setVisible(false);
+        contentPanel.add(errorAlert);
+
+        contentPanel.add(monitorContent);
+    }
+
+    @Override
+    public void clear() {
+
+        monitorContent.clear();
+        errorAlert.setVisible(false);
+        gridPanel.remove(helpPanel);
+    }
+
+    @Override
+    public void reload() {
+
+        errorAlert.setVisible(false);
+
+        Document.get().getElementById("headerNoTransparent").removeClassName("tm-header-transparent");
+
+        helpService.getHelpById(parentToken, new HelpCallback(helpPanel, gridPanel));
+
+        final HTML loadingWheel = new HTML("<div class=\"loader-big\" style=\"text-align: center; padding-top: 170px; " +
+                "color: rgb(47, 64, 80); font-weight: bold;\">Retrieving repository info...</div>" +
+                "<div class=\"whiteFilm\"></div>");
+        monitorContent.addStyleName("loading-big");
+        monitorContent.add(loadingWheel);
+
+        repositoryService.getRepository(restToken, new AsyncCallback<Repository>() {
+
+            @Override
+            public void onFailure(Throwable throwable) {
+
+                monitorContent.removeStyleName("loading-big");
+                monitorContent.remove(loadingWheel);
+
+                Alert errorAlert = new Alert();
+                errorAlert.setType(AlertType.DANGER);
+                errorAlert.setText("System error retrieving repository info.");
+                errorAlert.setDismissable(false);
+                monitorContent.add(errorAlert);
+            }
+
+            @Override
+            public void onSuccess(Repository repository) {
+
+                title.setHTML("<h1 class=\"uk-article-title\">Aggregation history for " + repository.getOfficialName() + "</h1>");
+
+                repositoryService.getRepositoryAggregations(restToken, new AsyncCallback<Aggregations>() {
+
+                    @Override
+                    public void onFailure(Throwable throwable) {
+
+                        monitorContent.removeStyleName("loading-big");
+                        monitorContent.remove(loadingWheel);
+
+                        Alert errorAlert = new Alert();
+                        errorAlert.setType(AlertType.DANGER);
+                        errorAlert.setText("System error retrieving repository aggregation history.");
+                        errorAlert.setDismissable(false);
+                        monitorContent.add(errorAlert);
+                    }
+
+                    @Override
+                    public void onSuccess(Aggregations aggregations) {
+
+                        monitorContent.removeStyleName("loading-big");
+                        monitorContent.remove(loadingWheel);
+
+                        if(aggregations==null || aggregations.getAggregationHistory()==null
+                                || aggregations.getAggregationHistory().isEmpty()) {
+                            HTML message = new HTML("<div>There is no aggregation history for this repository at the moment</div>");
+                            monitorContent.add(message);
+                        } else {
+                            AggregationHistoryTimeline aggregationHistoryTimeline = new AggregationHistoryTimeline(aggregations.getAggregationHistory());
+                            monitorContent.add(aggregationHistoryTimeline.asWidget());
+                        }
+                    }
+                });
+            }
+        });
+    }
+
+    @Override
+    public void setToken(String parentToken, String rest) {
+        this.parentToken = parentToken;
+        this.restToken = rest;
+    }
+
+    @Override
+    public void afterAdditionToRootPanel() {
+
+    }
+}
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/MonitorController.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/MonitorController.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/MonitorController.java	(revision 51030)
@@ -9,6 +9,7 @@
 public class MonitorController extends TokenController {
 
     private MonitorWidget monitorWidget = new MonitorWidget();
+    private CollectionMonitorWidget collectionMonitorWidget = new CollectionMonitorWidget();
 
     private static MonitorController instance = null;
 
@@ -25,7 +26,7 @@
         if (rest == null)
             redrawWidget(contentPanel, monitorWidget, parent, rest);
         else {
-//            redrawWidget(contentPanel, viewJobDetailsWidget, parent, rest);
+            redrawWidget(contentPanel, collectionMonitorWidget, parent, rest);
         }
     }
 
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/MonitorWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/MonitorWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/monitor/MonitorWidget.java	(revision 51030)
@@ -2,6 +2,7 @@
 
 import com.google.gwt.core.client.GWT;
 import com.google.gwt.dom.client.Document;
+import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.google.gwt.user.client.ui.FlowPanel;
 import com.google.gwt.user.client.ui.HTML;
 import eu.dnetlib.gwt.client.help.HelpService;
@@ -8,9 +9,13 @@
 import eu.dnetlib.gwt.client.help.HelpServiceAsync;
 import eu.dnetlib.repo.manager.client.AbstractRepositoryManagerWidget;
 import eu.dnetlib.repo.manager.client.HelpCallback;
+import eu.dnetlib.repo.manager.client.RepositoryManager;
 import eu.dnetlib.repo.manager.client.RepositoryManagerWidget;
 import eu.dnetlib.repo.manager.client.services.RepositoryService;
 import eu.dnetlib.repo.manager.client.services.RepositoryServiceAsync;
+import eu.dnetlib.repo.manager.client.widgets.ListOrGridViewOfDatasourcesWidget;
+import eu.dnetlib.repo.manager.client.widgets.OpenAIRECompliantLogoDownloadWidget;
+import eu.dnetlib.repo.manager.shared.DatasourcesCollection;
 import org.gwtbootstrap3.client.ui.Alert;
 import org.gwtbootstrap3.client.ui.constants.AlertType;
 
@@ -61,14 +66,41 @@
 
         helpService.getHelpById(parentToken, new HelpCallback(helpPanel, gridPanel));
 
-        HTML comingSoon = new HTML("Coming soon...");
-        monitorContent.add(comingSoon);
+        final HTML loadingWheel = new HTML("<div class=\"loader-big\" style=\"text-align: center; padding-top: 170px; " +
+                "color: rgb(47, 64, 80); font-weight: bold;\">Retrieving repositories...</div>" +
+                "<div class=\"whiteFilm\"></div>");
+        monitorContent.addStyleName("loading-big");
+        monitorContent.add(loadingWheel);
 
-//        final HTML loadingWheel = new HTML("<div class=\"loader-big\" style=\"text-align: center; padding-top: 170px; " +
-//                "color: rgb(47, 64, 80); font-weight: bold;\">Retrieving repositories...</div>" +
-//                "<div class=\"whiteFilm\"></div>");
-//        getImpactContent.addStyleName("loading-big");
-//        getImpactContent.add(loadingWheel);
+        repositoryService.getRepositoriesOfUser(RepositoryManager.currentUser.getEmail(), true, false,
+                new AsyncCallback<DatasourcesCollection>() {
+
+                    @Override
+                    public void onFailure(Throwable caught) {
+
+                        monitorContent.removeStyleName("loading-big");
+                        monitorContent.remove(loadingWheel);
+
+                        Alert errorAlert = new Alert();
+                        errorAlert.setType(AlertType.DANGER);
+                        errorAlert.setText("System error retrieving repositories.");
+                        errorAlert.setDismissable(false);
+                        monitorContent.add(errorAlert);
+                    }
+
+                    @Override
+                    public void onSuccess(DatasourcesCollection datasourcesCollection) {
+
+                        monitorContent.removeStyleName("loading-big");
+                        monitorContent.remove(loadingWheel);
+
+                        ListOrGridViewOfDatasourcesWidget listOrGridViewOfDatasourcesWidget =
+                                new ListOrGridViewOfDatasourcesWidget(datasourcesCollection, "Choose the Datasource you would like to manage",
+                                        parentToken, "<i class=\"fa fa-pencil\" aria-hidden=\"true\"></i>", false);
+
+                        monitorContent.add(listOrGridViewOfDatasourcesWidget.asWidget());
+                    }
+                });
     }
 
     @Override
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/admin/metrics/MetricsAdminWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/admin/metrics/MetricsAdminWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/admin/metrics/MetricsAdminWidget.java	(revision 51030)
@@ -7,6 +7,7 @@
 import com.google.gwt.i18n.client.DateTimeFormat;
 import com.google.gwt.query.client.Function;
 import com.google.gwt.user.client.Event;
+import com.google.gwt.user.client.Window;
 import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.google.gwt.user.client.ui.FlowPanel;
 import com.google.gwt.user.client.ui.HTML;
@@ -313,6 +314,8 @@
 
                         clear();
                         reload();
+
+                        Window.scrollTo(0, 0);
                     }
                 });
             }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/SelectTopicWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/SelectTopicWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/SelectTopicWidget.java	(revision 51030)
@@ -10,15 +10,20 @@
 import eu.dnetlib.gwt.client.help.HelpServiceAsync;
 import eu.dnetlib.repo.manager.client.AbstractRepositoryManagerWidget;
 import eu.dnetlib.repo.manager.client.HelpCallback;
+import eu.dnetlib.repo.manager.client.RepositoryManager;
 import eu.dnetlib.repo.manager.client.RepositoryManagerWidget;
 import eu.dnetlib.repo.manager.client.services.BrokerService;
 import eu.dnetlib.repo.manager.client.services.BrokerServiceAsync;
+import eu.dnetlib.repo.manager.shared.Term;
 import eu.dnetlib.repo.manager.shared.Tuple;
 import eu.dnetlib.repo.manager.shared.broker.BrowseEntry;
 import org.gwtbootstrap3.client.ui.Alert;
 import org.gwtbootstrap3.client.ui.constants.AlertType;
 
+import java.util.ArrayList;
+import java.util.HashMap;
 import java.util.List;
+import java.util.Map;
 
 /**
  * Created by stefania on 10/31/16.
@@ -28,10 +33,13 @@
     private String parentToken = "";
     private String restToken = "";
 
+    private HTML title = new HTML();
     private FlowPanel selectTopicBoxContent = new FlowPanel();
 
     private Alert errorAlert = new Alert();
 
+    public static Map<String, Term> topicsVocabulary = new HashMap<>();
+
     private static HelpServiceAsync helpService = GWT.create(HelpService.class);
     private static BrokerServiceAsync brokerService = GWT.create(BrokerService.class);
 
@@ -39,8 +47,6 @@
 
         super();
 
-        //TODO find datasource name?
-        HTML title = new HTML("<h1 class=\"uk-article-title\">Topics for datasource</h1>");
         title.addStyleName("uk-margin-medium-bottom");
         contentPanel.add(title);
 
@@ -66,6 +72,8 @@
         Document.get().getElementById("headerNoTransparent").removeClassName("tm-header-transparent");
         selectTopicBoxContent.add(errorAlert);
 
+        title.setHTML("<h1 class=\"uk-article-title\">Enrichments for " + restToken + "</h1>");
+
         helpService.getHelpById(parentToken + "_selectTopic", new HelpCallback(helpPanel, gridPanel));
 
         final HTML loadingWheel = new HTML("<div class=\"loader-big\" style=\"text-align: center; padding-top: 170px; " +
@@ -87,14 +95,34 @@
             }
 
             @Override
-            public void onSuccess(List<BrowseEntry> browseEntries) {
+            public void onSuccess(final List<BrowseEntry> browseEntries) {
 
-                selectTopicBoxContent.removeStyleName("loading-big");
-                selectTopicBoxContent.remove(loadingWheel);
+                brokerService.getDnetTopics(new AsyncCallback<Map<String, Term>>() {
 
-                final FlowPanel topicsList = new FlowPanel();
-                createTopicsList(browseEntries, topicsList);
-                selectTopicBoxContent.add(topicsList);
+                    @Override
+                    public void onFailure(Throwable throwable) {
+
+                        selectTopicBoxContent.removeStyleName("loading-big");
+                        selectTopicBoxContent.remove(loadingWheel);
+
+                        errorAlert.setText("System error retrieving topics vocabulary.");
+                        errorAlert.setVisible(true);
+                    }
+
+                    @Override
+                    public void onSuccess(Map<String, Term> stringTermMap) {
+
+                        topicsVocabulary.putAll(stringTermMap);
+
+                        selectTopicBoxContent.removeStyleName("loading-big");
+                        selectTopicBoxContent.remove(loadingWheel);
+
+                        final FlowPanel topicsList = new FlowPanel();
+                        createTopicsList(browseEntries, topicsList);
+                        selectTopicBoxContent.add(topicsList);
+                    }
+                });
+
             }
         });
     }
@@ -120,52 +148,87 @@
 
         } else {
 
-            long total = 0;
+            List<BrowseEntry> enrichMoreEntries = new ArrayList<>();
+            List<BrowseEntry> enrichMissingEntries = new ArrayList<>();
 
-            FlowPanel colPanel = new FlowPanel();
-            colPanel.addStyleName("uk-width-1-1@m uk-first-column");
-            topicsList.add(colPanel);
+            for(BrowseEntry browseEntry : browseEntries) {
+                if(browseEntry.getValue().startsWith("ENRICH/MORE"))
+                    enrichMoreEntries.add(browseEntry);
+                else if(browseEntry.getValue().startsWith("ENRICH/MISSING"))
+                    enrichMissingEntries.add(browseEntry);
+            }
 
-            FlowPanel divPanel = new FlowPanel();
-            divPanel.addStyleName("uk-overflow-auto uk-scrollspy-inview uk-animation-slide-top-medium");
-            colPanel.add(divPanel);
+            //COLUMN FOR ENRICH/MORE
+            FlowPanel colPanel1 = new FlowPanel();
+            colPanel1.addStyleName("uk-width-1-2@m uk-first-column");
+            topicsList.add(colPanel1);
 
-            String content = "<table class=\"uk-table uk-table-striped uk-table-middle\">" +
-                    "<thead><tr><th>Topic</th><th class=\"uk-text-nowrap\"># of events</th>" +
-                    "</tr></thead>";
+            colPanel1.add(createTopicGroupPanel(enrichMoreEntries, "More"));
 
-            content += "<tbody>";
+            //COLUMN FOR ENRICH/MISSING
+            FlowPanel colPanel2 = new FlowPanel();
+            colPanel2.addStyleName("uk-width-1-2@m uk-first-column");
+            topicsList.add(colPanel2);
 
-            for(BrowseEntry browseEntry : browseEntries) {
+            colPanel2.add(createTopicGroupPanel(enrichMissingEntries, "Missing"));
 
-                content += "<tr class=\"el-item\">" +
-                        "<td class=\"uk-text-nowrap uk-table-shrink\">\n" +
-                        "<a href=\"#" + parentToken + "/" + restToken + "/" +browseEntry.getValue() + "\" class=\"el-link\">" +
-                        browseEntry.getValue() + "</a>" +
-                        "</td>" +
-                        "<td class=\"uk-text-nowrap uk-table-shrink\">\n" +
-                        "<div class=\"el-title\">" + browseEntry.getSize() + "</div>" +
-                        "</td>" +
-                        "</tr>";
 
-                total += browseEntry.getSize();
-            }
+        }
+    }
 
-            content += "<tr class=\"el-item footers\">" +
-                    "<td class=\"uk-text-nowrap uk-table-shrink\">\n" +
-                    "<div class=\"el-title\">Total</div>" +
+    private FlowPanel createTopicGroupPanel(List<BrowseEntry> browseEntries, String group) {
+
+        long total = 0;
+
+        FlowPanel divPanel = new FlowPanel();
+        divPanel.addStyleName("uk-overflow-auto uk-scrollspy-inview uk-animation-slide-top-medium");
+
+        String content = "<h4 class=\"uk-h4 uk-text-primary uk-scrollspy-inview uk-animation-slide-top-medium\" " +
+                "uk-scrollspy-class=\"\"><span>" + group + "</span></h4>";
+
+        content += "<table class=\"uk-table uk-table-striped uk-table-middle\">" +
+//                "<thead><tr><th>Related events that may potentially enrich " + restToken + " content</th>" +
+                "<thead><tr><th>Events that may enrich " + restToken + " content</th>" +
+                "<th class=\"uk-text-nowrap\"># of events</th>" +
+                "</tr></thead>";
+
+        content += "<tbody>";
+
+        for(BrowseEntry browseEntry : browseEntries) {
+
+            content += "<tr class=\"el-item\">" +
+                    "<td class=\"uk-table-shrink uk-width-4-5\">\n" +
+                    "<a href=\"#" + parentToken + "/" + restToken + "/" + browseEntry.getValue() + "\" class=\"el-link\">" +
+                    browseEntry.getValue() + "</a>";
+
+            if(this.topicsVocabulary.get(browseEntry.getValue())!=null)
+                content +=   "<div class=\"uk-text uk-text-meta\">" + this.topicsVocabulary.get(browseEntry.getValue()).getEnglishName() + "</div>";
+
+            content += "</td>" +
+                    "<td class=\"uk-text-nowrap uk-table-shrink uk-width-1-5\">\n" +
+                    "<div class=\"el-title\">" + browseEntry.getSize() + "</div>" +
                     "</td>" +
-                    "<td class=\"uk-text-nowrap uk-table-shrink\">\n" +
-                    "<div class=\"el-title\">" + total + "</div>" +
-                    "</td>" +
                     "</tr>";
 
-            content += "</tbody></table>";
+            total += browseEntry.getSize();
+        }
 
-            HTML reposListHTML = new HTML();
-            reposListHTML.setHTML(content);
+        content += "<tr class=\"el-item footers\">" +
+                "<td class=\"uk-text-nowrap uk-table-shrink uk-width-4-5\">\n" +
+                "<div class=\"el-title\">Total</div>" +
+                "</td>" +
+                "<td class=\"uk-text-nowrap uk-table-shrink uk-width-1-5\">\n" +
+                "<div class=\"el-title\">" + total + "</div>" +
+                "</td>" +
+                "</tr>";
 
-            divPanel.add(reposListHTML);
-        }
+        content += "</tbody></table>";
+
+        HTML reposListHTML = new HTML();
+        reposListHTML.setHTML(content);
+
+        divPanel.add(reposListHTML);
+
+        return divPanel;
     }
 }
